module Main where

import Barrie

demoWidget :: Widget
demoWidget = vbox [ui "demo entry" textBox,
                   ui "demo command" (labelButton "click me")]

type DemoState = String

type DemoGadget = Gadget DemoState

demoGUI :: DemoGadget
demoGUI = sectionG "demo gui" [editorG "demo entry" id const,
                               commandG "demo command" reverse]

main = gtkMain demoGUI demoWidget "Hello, world"

